<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class tipousuarios_model extends CI_Model {

	public function gettipousuarios(){
		$resultados = $this->db->get("tipousuario");
		return $resultados->result();
	}

	public function getTipousuario($tipousuario){
		$this->db->where("idtipousuario",$tipousuario);
		$consulta = $this->db->get("tipousuario");
		return $consulta->row();
	}

	public function guardar($datos){
		return $this->db->insert("tipousuario",$datos);
	}

	public function update($tipousuario,$datos){
		$this->db->where("idtipousuario",$tipousuario);
		return $this->db->update("tipousuario",$datos);
	}

	public function delete($id){
		$this->db->where("idtipousuario",$id);
		return $this->db->delete("tipousuario");
	}
}
